Subject: bug#25097: 25.1; Scratch buffer flashes with emacsclient and xterm

From: Eli Zaretskii <[email-masked]>
Date: Wed, 12 Aug 2020 17:11:36 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Tue, 11 Aug 2020 17:35:27 -0700
> Cc: Jake <[email-masked]>, [email-masked]
> 
> > That commit actually changed the timeout from a hardcoded 2, and makes
> > the timeout configurable.  So I think setting xterm-query-timeout to nil
> > is the right thing here.  Perhaps even a nil xterm-query-timeout should
> > be the default?
> >
> > Here's another case where that seems to help:
> >
> > https://emacs.stackexchange.com/questions/16878/0950c-escape-code-is-inserted-with-typeahead-in-terminal-emacs
> 
> Should we just go ahead and change it, then?  From reading the SE
> comment, there seems to be no concrete reason to not set it to nil by
> default.

I don't see how such a conclusion follows from that discussion; what
did I miss?